#
# spec file for package python-yaql
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname yaql
Name:           python-yaql
Version:        1.1.3
Release:        lp150.2.1
Summary:        YAQL - Yet Another Query Language
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/y/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
# for testing
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-oslosphinx >= 4.7.0
BuildRequires:  python-pbr >= 2.0.0
BuildRequires:  python-ply
BuildRequires:  python-python-dateutil >= 2.4.2
BuildRequires:  python-python-subunit >= 1.0.0
BuildRequires:  python-six >= 1.10.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 2.2.0
Requires:       python-Babel >= 2.3.4
Requires:       python-ply
Requires:       python-python-dateutil >= 2.4.2
Requires:       python-six >= 1.10.0
BuildArch:      noarch

%description
YAQL (Yet Another Query Language) is an embeddable and extensible query
language, that allows performing complex queries against arbitrary objects. It
has a vast and comprehensive standard library of frequently used querying
functions and can be extend even further with user-specified functions. YAQL is
written in python and is distributed via PyPI.

%prep
%autosetup -n yaql-%{version}
%py_req_cleanup

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc ChangeLog README.rst
%{_bindir}/yaql
%{python2_sitelib}/%{sname}
%{python2_sitelib}/%{sname}*.egg-info

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Sat Aug  5 2017 tbechtold@suse.com
- switch to stable/pike version
* Wed Jun  7 2017 cloud-devel@suse.de
- update to version 1.1.3
  - Refactor datetime.datetime usage to defined DATETIME_TYPE
  - Use reno for releasenotes
  - [docs] Docstrings for branching YAQL functions
  - YAQL autodoc script
  - [docs] Docstrings for strings YAQL functions
  - Pass re.VERBOSE explicitly
  - [docs] Docstrings for queries YAQL functions
  - Added engine options to disable input/output data conversion
  - Use __slots__ for yaqltypes
  - [docs] Docstrings for system YAQL functions
  - [docs] Docstrings for common YAQL functions
  - Remove oslosphinx from sphinx extensions
  - Auto building of std library docs
  - Add help info to CLI options
  - Update tests of YAQL queries
  - Rename shiftBitsLeft and shiftBitsRight arguments
  - Don't include openstack/common in flake8 exclude list
  - Customizing and extending yaql documentation
  - Fix "indexOf", "lastIndexOf" methods length parameter usage
  - YAQL syntax documentation
  - Use modern PBR and hacking packages
  - Use __slots__ for Parameter/Function definition
  - Remove discover from test-requirements
  - [docs] Docstrings for date_time YAQL functions
  - [docs] Docstrings for legacy YAQL functions
  - [docs] Docstrings for math YAQL functions
  - Update flake8 ignore list
  - Improvements to yaql CLI
  - [docs] Docstrings for boolean YAQL functions
  - Add a test proving escaped back references work
  - groupBy() aggregator was fixed
  - Create child context in regex/search function
  - Drop MANIFEST.in - it's not needed by pbr
  - [docs] Docstrings for yaqlized YAQL functions
  - [docs] Docstrings for regex YAQL functions
  - Changed the home-page link
  - Replace ValueError with StopIteration in single() method
  - Use six.moves.input for Python 3 compatability
  - Enable release notes translation
  - [docs] Docstrings for collections YAQL functions
* Fri Feb 10 2017 tbechtold@suse.com
- Use spec from openstack/rpm-packaging project
- Add _service
* Tue Nov 15 2016 dmueller@suse.com
- update to 1.1.1:
  * Fix string operators >= and <=
  * Extend .slice() method implementation to all Iterables
  * Fix typo in YAML example
  * Python 3 compatibility issues were fixed
* Thu May 26 2016 tbechtold@suse.com
- Initial packaging (version 1.1.0)
